.navigation {
  align-items: center;
  display: flex;

  &.active {
    .navigation-list {
      @include breakpoint(max-width map-get($breakpoints, 'breakpoint-max-md')) {
        @include themify($themes) {
          background-color: themed('brand-primary');
        }
        border-radius: map-get($radius, 'card');
        display: flex;
        flex-wrap: wrap;
        left: map-get($spacing, 'mobile-half');
        padding: 0 map-get($spacing, 'desktop-half');
        position: fixed;
        right: map-get($spacing, 'mobile-half');
        top: map-get($spacing, 'mobile-double');
        width: calc(100% - calc(#{map-get($spacing, 'mobile-half')} * 2));
      }

      .navigation-list-item {
        @include breakpoint(max-width map-get($breakpoints, 'breakpoint-max-md')) {
          @include themify($themes) {
            border-bottom: 1px solid themed('white');
            color: themed('white');
          }
          font-weight: 300;
          margin-left: 0;
          padding: map-get($spacing, 'desktop-small') 0;
          width: 100%;
        }

        &:last-of-type {
          @include breakpoint(max-width map-get($breakpoints, 'breakpoint-max-md')) {
            border-bottom: 0;
          }
        }

        a {
          @include breakpoint(max-width map-get($breakpoints, 'breakpoint-max-md')) {
            @include themify($themes) {
              color: themed('white');
            }
            display: block;
            width: 100%;
          }
        }
      }
    }
  }

  .navigation-list {
    display: none;

    @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
      display: inline-flex;
    }
  }
}

.navigation-checkbox {
  @include breakpoint(map-get($breakpoints, 'breakpoint-max-md')) {
    display: none;
  }

  &:hover,
  &:focus {
    + .navigation-burger {
      .navigation-burger-icon {
        @include themify($themes) {
          background-color: themed('brand-secondary');
        }

        &:before,
        &:after {
          @include themify($themes) {
            background-color: themed('brand-secondary');
          }
        }
      }

      .navigation-burger-text {
        @include themify($themes) {
          color: themed('brand-secondary');
        }
      }
    }

    &:checked {
      + .navigation-burger {
        .navigation-burger-icon {
          @include themify($themes) {
            background-color: transparent;
          }

          &:before,
          &:after {
            @include themify($themes) {
              background-color: themed('brand-secondary');
            }
          }
        }

        .navigation-burger-text {
          @include themify($themes) {
            color: themed('brand-secondary');
          }
        }
      }
    }
  }

  + .navigation-burger {
    .navigation-burger-icon {
      @include themify($themes) {
        @include burger(14px, 2px, 3px, themed('black'));
      }
    }
  }

  &:checked {
    + .navigation-burger {
      &:hover,
      &:focus {
        .navigation-burger-icon {
          @include themify($themes) {
            background-color: transparent;
          }

          &:before,
          &:after {
            @include themify($themes) {
              background-color: themed('brand-secondary');
            }
          }
        }

        .navigation-burger-text {
          @include themify($themes) {
            color: themed('brand-secondary');
          }
        }
      }

      .navigation-burger-icon {
        @include burger-to-cross;

        &:before,
        &:after {
          @include themify($themes) {
            background-color: themed('black');
          }
        }
      }

      .navigation-burger-text {
        @include themify($themes) {
          color: themed('black');
        }

        &:after {
          content: 'Close';
        }
      }

      + .navigation-list {
        @include breakpoint(max-width map-get($breakpoints, 'breakpoint-max-md')) {
          @include themify($themes) {
            background-color: themed('brand-primary');
          }
          border-radius: map-get($radius, 'card');
          display: flex;
          flex-wrap: wrap;
          height: auto;
          left: map-get($spacing, 'mobile-half');
          padding: 0 map-get($spacing, 'desktop-half');
          position: fixed;
          right: map-get($spacing, 'mobile-half');
          top: map-get($spacing, 'mobile-double');
          width: calc(100% - calc(#{map-get($spacing, 'mobile-half')} * 2));
        }

        .navigation-list-item {
          @include breakpoint(max-width map-get($breakpoints, 'breakpoint-max-md')) {
            @include themify($themes) {
              border-bottom: 1px solid themed('white');
              color: themed('white');
            }
            font-weight: 300;
            margin-left: 0;
            padding: 0;
            width: 100%;
          }

          &:last-of-type {
            @include breakpoint(max-width map-get($breakpoints, 'breakpoint-max-md')) {
              border-bottom: 0;
            }
          }

          a {
            @include breakpoint(max-width map-get($breakpoints, 'breakpoint-max-md')) {
              @include themify($themes) {
                color: themed('white');
              }
              display: block;
              padding: map-get($spacing, 'desktop-small') 0;
              width: 100%;
            }
          }
        }
      }
    }
  }
}

.navigation-list {
  align-items: stretch;
  display: inline-flex;
  height: 100%;
  list-style: none;
  margin: 0;
  padding: 0;
}

.navigation-list-item {
  align-items: center;
  display: flex;
  font-size: map-get($font-size, 'h5');
  font-weight: 500;
  margin: 0;
  padding: 0;
  position: relative;

  &:not(.navigation-list-vertical &, .header-login &, :first-of-type) {
    margin-left: map-get($spacing, 'desktop-half');

    @include breakpoint(map-get($breakpoints, 'breakpoint-lg')) {
      margin-left: map-get($spacing, 'desktop');
    }
  }

  &.active {
    a {
      &:before {
        @include pseudo;
        @include themify($themes) {
          background-color: themed('brand-primary');
        }
        transform: scaleX(1);
      }
    }
  }

  a {
    @include themify($themes) {
      color: themed('black');
    }
    transition: map-get($transition, 'color');

    &:before {
      @include pseudo;
      border-bottom-left-radius: map-get($radius, 'button');
      border-bottom-right-radius: map-get($radius, 'button');
      height: .5rem;
      top: 0;
      transform: scaleX(0);
      transition: map-get($transition, 'all');
      width: 100%;
    }

    &:hover,
    &:focus {
      @include themify($themes) {
        color: themed('brand-primary');
      }
      outline: none;

      &:before {
        @include pseudo;
        @include themify($themes) {
          background-color: themed('brand-quaternary');
        }
        transform: scaleX(1);
      }
    }
  }
}

.navigation-vertical {
  align-items: flex-start;
  display: flex;
  margin-bottom: map-get($spacing, 'mobile');
  margin-top: map-get($spacing, 'mobile');
  position: relative;
  width: auto;

  @include breakpoint(map-get($breakpoints, 'breakpoint-lg')) {
    margin-bottom: 0;
    margin-top: map-get($spacing, 'desktop');
    max-width: map-get($widths, 'max-width');
    position: fixed;
    width: 100%;
  }

  .navigation-list-vertical {
    @include breakpoint(map-get($breakpoints, 'breakpoint-lg')) {
      width: calc(#{percentage(1 / 6)} - #{map-get($spacing, 'desktop')});
    }
  }
}

.navigation-list-vertical {
  display: flex;
  flex-wrap: wrap;
  list-style: none;
  margin: 0;
  padding: 0;
}

.navigation-list-vertical-inline {
  @include breakpoint(max-width map-get($breakpoints, 'breakpoint-lg')) {
    flex-wrap: nowrap;
  }
}

.navigation-list-vertical-item {
  width: 100%;

  &:not(:last-of-type) {
    margin-bottom: map-get($spacing, 'desktop-small');
  }
}

.navigation-list-vertical-item-inline {
  @include breakpoint(max-width map-get($breakpoints, 'breakpoint-lg')) {
    width: auto;
  }

  &:first-of-type {
    margin-right: map-get($spacing, 'desktop-small');
  }
}

.navigation-options {
  position: relative;
  width: auto;

  @include breakpoint(max-width map-get($breakpoints, 'breakpoint-max-md')) {
    @include themify($themes) {
      background-color: themed('brand-7');
    }
    border-radius: map-get($radius, 'cta');
    bottom: map-get($spacing, 'desktop-half');
    display: none;
    height: map-get($heights, 'button');
    left: map-get($spacing, 'desktop-double');
    padding: map-get($spacing, 'desktop-small');
    position: fixed;
    width: calc(100% - calc(#{map-get($spacing, 'desktop-double')} * 2));
    z-index: 5;
  }

  .navigation-checkbox {
    &:hover,
    &:focus {
      + .navigation-burger {
        @include themify($themes) {
          background-color: themed('brand-primary');
        }

        .navigation-burger-icon {
          @include themify($themes) {
            background-color: themed('white');
          }

          &:before,
          &:after {
            @include themify($themes) {
              background-color: themed('white');
            }
          }
        }

        .navigation-burger-text {
          @include themify($themes) {
            color: themed('white');
          }
        }
      }
    }

    &:checked {
      + .navigation-burger {
        border-bottom-right-radius: map-get($radius, 'cta');
        border-top-right-radius: map-get($radius, 'cta');
        width: 100%;

        .navigation-burger-icon {
          @include themify($themes) {
            background-color: transparent;
          }
        }

        &:hover,
        &:focus {
          .navigation-burger-icon {
            @include themify($themes) {
              background-color: transparent;
            }

            &:before,
            &:after {
              @include themify($themes) {
                background-color: themed('white');
              }
            }
          }

          .navigation-burger-text {
            @include themify($themes) {
              color: themed('white');
            }
          }
        }

        .navigation-burger-icon {
          &:before,
          &:after {
            @include themify($themes) {
              background-color: themed('white');
            }
          }
        }

        .navigation-burger-text {
          @include themify($themes) {
            color: themed('white');
          }
        }
      }
    }
  }

  .navigation-burger {
    @include themify($themes) {
      background-color: themed('brand-7');
    }
    border-bottom-left-radius: map-get($radius, 'cta');
    border-top-left-radius: map-get($radius, 'cta');
    bottom: 0;
    height: 100%;
    left: 0;
    position: absolute;
    top: 0;
    transition: map-get($transition, 'background-color');
    width: 50%;

    &:hover,
    &:focus {
      @include themify($themes) {
        background-color: themed('brand-primary');
      }

      .navigation-burger-text {
        @include themify($themes) {
          color: themed('white');
        }
      }

      .navigation-burger-icon {
        @include themify($themes) {
          background-color: themed('white');
        }

        &:before,
        &:after {
          @include themify($themes) {
            background-color: themed('white');
          }
        }
      }
    }

    .navigation-burger-icon {
      @include themify($themes) {
        background-color: themed('white');
      }

      &:before,
      &:after {
        @include themify($themes) {
          background-color: themed('white');
        }
      }
    }

    .navigation-burger-text {
      @include themify($themes) {
        color: themed('white');
      }

      &:after {
        content: 'Options';
      }
    }
  }

  .navigation-list-vertical {
    @include breakpoint(max-width map-get($breakpoints, 'breakpoint-max-md')) {
      bottom: 0;
      left: 0;
      position: absolute;
      right: 0;
      text-align: right;
      top: 0;
      width: 100%;
    }
  }

  .navigation-list-vertical-item {
    @include breakpoint(max-width map-get($breakpoints, 'breakpoint-max-md')) {
      display: none;
    }

    &:last-of-type {
      @include breakpoint(max-width map-get($breakpoints, 'breakpoint-max-md')) {
        display: block;
        position: relative;
        right: 0;
        top: 0;
      }

      .button-cta-ghost {
        @include breakpoint(max-width map-get($breakpoints, 'breakpoint-max-md')) {
          @include themify($themes) {
            background-color: themed('brand-secondary');
            color: themed('white');
          }
          border: none;
          border-bottom-left-radius: 0;
          border-top-left-radius: 0;
          justify-content: center;
          width: 50%;
        }

        &:hover,
        &:focus {
          @include breakpoint(max-width map-get($breakpoints, 'breakpoint-max-md')) {
            @include themify($themes) {
              background-color: themed('brand-primary');
            }
          }
        }
      }
    }
  }
}

.navigation-user {
  align-items: center;
  display: flex;
}

.navigation-user-button {
  align-items: center;
  appearance: none;
  background-color: transparent;
  border: 0;
  display: flex;
  font-size: map-get($font-size, 'h5');
  font-weight: 500;
  height: 100%;
  position: relative;
  transition: map-get($transition, 'color');

  &:hover,
  &:focus {
    @include themify($themes) {
      color: themed('brand-primary');
    }
    cursor: pointer;

    i {
      @include themify($themes) {
        color: themed('brand-primary');
      }
    }
  }

  &:before {
    @include pseudo;
    border-bottom-left-radius: map-get($radius, 'button');
    border-bottom-right-radius: map-get($radius, 'button');
    height: .5rem;
    top: 0;
    transform: scaleX(0);
    transition: map-get($transition, 'all');
    width: 100%;
  }

  &:hover,
  &:focus {
    &:before {
      @include pseudo;
      @include themify($themes) {
        background-color: themed('brand-quaternary');
      }
      transform: scaleX(1);
    }
  }

  i {
    @include themify($themes) {
      color: themed('brand-3');
    }
    display: none;
    margin-left: map-get($spacing, 'mobile-small');
    margin-right: map-get($spacing, 'mobile-small');
    transition: map-get($transition, 'color');

    @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
      display: block;
    }
  }
}

.navigation-user-name {
  display: none;

  @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
    display: block;
  }
}

.navigation-user-checkbox {
  &:checked {
    + .navigation-user-button {
      i {
        @include themify($themes) {
          color: themed('brand-primary');
        }
      }
      + .navigation-user-navigation {
        display: flex;
      }
    }
  }

  &:focus {
    + .navigation-user-button {
      @include themify($themes) {
        color: themed('brand-primary');
      }

      &:before {
        @include pseudo;
        @include themify($themes) {
          background-color: themed('brand-quaternary');
        }
        transform: scaleX(1);
      }

      i {
        @include themify($themes) {
          color: themed('brand-primary');
        }
      }
    }
  }
}

.navigation-user-avatar {
  border-radius: 50%;
  height: 4rem;
  width: 4rem;
}

.navigation-user-navigation {
  @include themify($themes) {
    background-color: themed('brand-primary');
    box-shadow: 0 1rem 4rem rgba(themed('black'), .4);
  }
  border-radius: map-get($radius, 'card');
  display: none;
  flex-wrap: wrap;
  font-size: map-get($font-size, 'h5');
  font-weight: 300;
  overflow: hidden;
  position: fixed;
  right: map-get($spacing, 'mobile');
  top: 6rem;
  width: calc(100% - calc(#{map-get($spacing, 'mobile')} * 2));

  @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
    position: absolute;
    right: 0;
    width: 18rem;
  }

  a {
    @include themify($themes) {
      background-color: themed('brand-primary');
      color: themed('white');
    }
    display: block;
    padding: map-get($spacing, 'mobile-small') map-get($spacing, 'desktop-small');
    transition: map-get($transition, 'color'), map-get($transition, 'background-color');
    width: 100%;

    &:not(:last-of-type) {
      @include themify($themes) {
        border-bottom: 1px solid rgba(themed('white'), .4);
      }
    }

    &:hover,
    &:focus {
      @include themify($themes) {
        background-color: themed('white');
        color: themed('black');
      }
    }
  }
}

.navigation-user-button {
  align-items: center;
  appearance: none;
  background-color: transparent;
  border: 0;
  display: flex;
  font-size: map-get($font-size, 'h5');
  font-weight: 500;
  transition: map-get($transition, 'color');

  i {
    @include themify($themes) {
      color: themed('brand-3');
    }
    margin-left: map-get($spacing, 'mobile-small');
    margin-right: map-get($spacing, 'mobile-small');
    transition: map-get($transition, 'color');
  }

  &:hover,
  &:focus {
    cursor: pointer;

    i {
      @include themify($themes) {
        color: themed('brand-primary');
      }
    }
  }
}

.navigation-user-checkbox {
  &:checked {
    + .navigation-user-button {
      i {
        @include themify($themes) {
          color: themed('brand-primary');
        }
      }
      + .navigation-user-navigation {
        display: flex;
      }
    }
  }
}

.navigation-user-avatar {
  border-radius: 50%;
  height: 4rem;
  width: 4rem;
}

.navigation-user-navigation {
  @include themify($themes) {
    background-color: themed('brand-primary');
    box-shadow: 0 1rem 4rem rgba(themed('black'), .4);
  }
  border-radius: map-get($radius, 'card');
  display: none;
  flex-wrap: wrap;
  font-size: map-get($font-size, 'h5');
  font-weight: 300;
  overflow: hidden;
  position: absolute;
  right: 0;
  top: 6rem;
  width: 18rem;

  a {
    @include themify($themes) {
      background-color: themed('brand-primary');
      color: themed('white');
    }
    display: block;
    padding: map-get($spacing, 'mobile-small') map-get($spacing, 'desktop-small');
    transition: map-get($transition, 'color'), map-get($transition, 'background-color');
    width: 100%;

    &:not(:last-of-type) {
      @include themify($themes) {
        border-bottom: 1px solid rgba(themed('white'), .4);
      }
    }

    &:hover,
    &:focus {
      @include themify($themes) {
        background-color: themed('white');
        color: themed('black');
      }
    }
  }
}

// Burger menu
.navigation-burger {
  align-items: center;
  background: transparent;
  border: 0;
  cursor: pointer;
  display: flex;
  height: 1.2rem;
  justify-content: center;
  padding: 0;
  position: relative;
  transition: map-get($transition, 'color');
  z-index: 1000;

  @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
    display: none;
  }

  &:hover,
  &:focus {
    cursor: pointer;
    outline: none;

    .navigation-burger-icon {
      @include themify($themes) {
        background-color: themed('brand-secondary');
      }

      &:before,
      &:after {
        @include themify($themes) {
          background-color: themed('brand-secondary');
        }
      }
    }
  }

  .navigation-burger-icon {
    cursor: pointer;
  }

  .navigation-burger-text {
    font-size: map-get($font-size, 'h5');
    margin-right: 1rem;
    position: relative;
    transition: map-get($transition, 'color');

    &:after {
      @include pseudo($pos: relative);
      content: 'Menu';
    }
  }
}
